Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.xml
Class AbstractElementDefinitionHandler

    java.lang.Object
      org.jfree.xml.AbstractElementDefinitionHandler

All Implemented Interfaces:
  ElementDefinitionHandler

    public abstract class AbstractElementDefinitionHandler

extends java.lang.Object
implements ElementDefinitionHandler

An abstract element definition handler.

Author:
  Thomas Morgner

Constructor Summary
`AbstractElementDefinitionHandler(Parser parser)` Creates a new handler.

Method Summary
`void` | `characters(char[] ch, int start, int length)` Callback to indicate that some character data has been read.
`void` | `endElement(java.lang.String tagName)` Callback to indicate that an XML element end tag has been read by the parser.
`Parser` | `getParser()` Returns the parser.
`void` | `startElement(java.lang.String tagName, org.xml.sax.Attributes attrs)` Callback to indicate that an XML element start tag has been read by the parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractElementDefinitionHandler

    public AbstractElementDefinitionHandler(Parser parser)

  Creates a new handler.

  Parameters:
    `parser` - the parser.

Method Detail

### startElement

    public void startElement(java.lang.String tagName,
                             org.xml.sax.Attributes attrs)
                      throws org.xml.sax.SAXException

  Callback to indicate that an XML element start tag has been read by the parser.

  Specified by:
    `startElement` in interface `ElementDefinitionHandler`
  Parameters:
    `tagName` - the tag name.
    `attrs` - the attributes.
  Throws:
    `org.xml.sax.SAXException` - if a parser error occurs or the validation failed.

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Callback to indicate that some character data has been read.

  Specified by:
    `characters` in interface `ElementDefinitionHandler`
  Parameters:
    `ch` - the character array.
    `start` - the start index for the characters.
    `length` - the length of the character sequence.
  Throws:
    `org.xml.sax.SAXException` - if a parser error occurs or the validation failed.

### endElement

    public void endElement(java.lang.String tagName)
                    throws org.xml.sax.SAXException

  Callback to indicate that an XML element end tag has been read by the parser.

  Specified by:
    `endElement` in interface `ElementDefinitionHandler`
  Parameters:
    `tagName` - the tag name.
  Throws:
    `org.xml.sax.SAXException` - if a parser error occurs or the validation failed.

### getParser

    public Parser getParser()

  Returns the parser.

  Specified by:
    `getParser` in interface `ElementDefinitionHandler`
  Returns:
    The parser.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD